---
updatedAt: 2025-06-25T21:54:18.000Z
agentTools:
  projectIndex: https://docs.nftgo.io/llms.txt
---

# Get created listings of an address

Return created listings of a wallet address.

# OpenAPI definition

````json
{
  "openapi": "3.0.2",
  "info": {
    "title": "API Documentation | NFTGo",
    "description": "\nNote: You can find our listing criteria here: https://docs.nftgo.io/docs/listing-criteria\n\n# Introduction\n[NFTGo.io](https://nftgo.io/) is a data analytics platform for NFTs. We provide support for NFTs on the Ethereum blockchain. This API includes:\n* Support for metrics like Market Cap and Volume (globally and per-collection)\n* NFT metadata and price information\n* Access to the custom rarity model\n* Address and portfolio tracking\n* Collection transaction history\n* NFT and profit rankings\n* .. And much more!\n\n# Authentication\nTo start exploring the NFTGo API, you need to sign up for an API key [here](https://nftgo.io/data-api/).\nUsing your API key, you can make requests to the NFTGo API by sending the API key as a **header** in your request. Below is an example:\n```Bash\ncurl http://127.0.0.1:5001/<your-request-url> -H X-API-KEY:<YOUR-API-KEY>\n```\n\nAll requests should be prefixed with [http://127.0.0.1:5001/.](http://127.0.0.1:5001/)\n\n# Rate limits\nCurrently, we have a rate limit of 5 request per second (5RPS). If your project needs a specialized plan, you can contact us [here](https://docs.google.com/forms/d/e/1FAIpQLSdToHwUCisiDhNiW_UcVdRgjjLxLNt3fW1cruvZoPpxKxJuGQ/viewform).\n\n\n",
    "version": "1.1.0",
    "x-logo": {
      "url": "https://static.nftgo.io/nftgo-logo-with-text-light.svg"
    }
  },
  "servers": [
    {
      "url": "https://data-api.nftgo.io"
    }
  ],
  "paths": {
    "/eth/v1/address/listings": {
      "get": {
        "tags": [
          "Address"
        ],
        "summary": "Get created listings of an address",
        "description": "Return created listings of a wallet address.",
        "operationId": "get_address_created_listings_eth_v1_address_listings_get",
        "parameters": [
          {
            "description": "Ethereum address, 42-character hexadecimal string beginning with 0x",
            "required": false,
            "schema": {
              "title": "Address",
              "maxLength": 42,
              "minLength": 42,
              "pattern": "^0x[a-fA-F0-9]{40}$",
              "type": "string",
              "description": "Ethereum address, 42-character hexadecimal string beginning with 0x",
              "default": "0x5ac69c26a15cfaaeb066043dcc932f7d01faf182"
            },
            "example": "0x5ac69c26a15cfaaeb066043dcc932f7d01faf182",
            "name": "address",
            "in": "query"
          },
          {
            "description": "The collection filters is a array.The elements can be a contract address, collection id, slug or opensea slug.If the slug contains special characters, you need to escape them before performing the query.Maximum size is 50.",
            "required": false,
            "schema": {
              "title": "Collections",
              "type": "string",
              "description": "The collection filters is a array.The elements can be a contract address, collection id, slug or opensea slug.If the slug contains special characters, you need to escape them before performing the query.Maximum size is 50."
            },
            "example": "0xbc4ca0eda7647a8ab7c2061c2e118a18a936f13d",
            "name": "collections",
            "in": "query"
          },
          {
            "required": false,
            "schema": {
              "title": "Markets",
              "type": "string"
            },
            "name": "markets",
            "in": "query"
          },
          {
            "description": "Keywords for the name in the collection search",
            "required": false,
            "schema": {
              "title": "Keywords",
              "type": "string",
              "description": "Keywords for the name in the collection search",
              "default": ""
            },
            "example": "#8956",
            "name": "keywords",
            "in": "query"
          },
          {
            "description": "The index of data segments. The returned data is divided into many segments.    One segment is returned at a time. {offset} parameter indicates the index of data segments.",
            "required": false,
            "schema": {
              "title": "Offset",
              "minimum": 0,
              "type": "integer",
              "description": "The index of data segments. The returned data is divided into many segments.    One segment is returned at a time. {offset} parameter indicates the index of data segments.",
              "default": 0
            },
            "example": 0,
            "name": "offset",
            "in": "query"
          },
          {
            "description": "The size of a returned data segment",
            "required": false,
            "schema": {
              "title": "Limit",
              "maximum": 50,
              "minimum": 0,
              "type": "integer",
              "description": "The size of a returned data segment",
              "default": 20
            },
            "example": 20,
            "name": "limit",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ReceivedAddressListings"
                }
              }
            }
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HTTPValidationError"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "AddressListing": {
        "title": "AddressListing",
        "type": "object",
        "properties": {
          "order_id": {
            "title": "Order Id",
            "type": "string",
            "description": "ID for aggregate"
          },
          "listing_time": {
            "title": "Listing Time",
            "type": "integer",
            "description": "The listing time of the NFT"
          },
          "expired_time": {
            "title": "Expired Time",
            "type": "integer",
            "description": "The listing expire time of the NFT"
          },
          "seller_address": {
            "title": "Seller Address",
            "type": "string",
            "description": "The seller address of the NFT"
          },
          "order_kind": {
            "title": "Order Kind",
            "type": "string",
            "description": "The protocol type of this order"
          },
          "total_quantity": {
            "title": "Total Quantity",
            "type": "integer",
            "description": "The sales number of order"
          },
          "quantity_remaining": {
            "title": "Quantity Remaining",
            "type": "integer",
            "description": "Number of tokens remaining for this order"
          },
          "listing_price": {
            "title": "Listing Price",
            "allOf": [
              {
                "$ref": "#/components/schemas/PriceV3"
              }
            ],
            "description": "The listing price of order"
          },
          "market": {
            "title": "Market",
            "allOf": [
              {
                "$ref": "#/components/schemas/CollectionFloorPriceV2"
              }
            ],
            "description": "The market info of order"
          },
          "fee_bps": {
            "title": "Fee Bps",
            "type": "number",
            "description": "offer fee basis point"
          },
          "fee_breakdown": {
            "title": "Fee Breakdown",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/FeeBreakdownItem"
            },
            "description": "optional fee break down"
          }
        }
      },
      "CollectionFloorPriceV2": {
        "title": "CollectionFloorPriceV2",
        "type": "object",
        "properties": {
          "timestamp": {
            "title": "Timestamp",
            "type": "string",
            "description": "Timestamp in ISO 8601 format",
            "example": "2022-07-05T05:00:00.000Z"
          },
          "marketplace_name": {
            "title": "Marketplace Name",
            "type": "string",
            "description": "Name of the marketplace",
            "example": "X2Y2"
          },
          "marketplace_link": {
            "title": "Marketplace Link",
            "type": "string",
            "description": "Marketplace link of the NFT"
          },
          "floor_price": {
            "title": "Floor Price",
            "allOf": [
              {
                "$ref": "#/components/schemas/CryptoPriceV2"
              }
            ],
            "description": "Floor Price of the collection"
          }
        }
      },
      "CollectionSimpleInfo": {
        "title": "CollectionSimpleInfo",
        "required": [
          "contracts"
        ],
        "type": "object",
        "properties": {
          "collection_id": {
            "title": "Collection Id",
            "type": "string",
            "description": "The collection id of the collection"
          },
          "name": {
            "title": "Name",
            "type": "string",
            "description": "Collection name",
            "example": "Bored Ape Yacht Club"
          },
          "logo": {
            "title": "Logo",
            "type": "string",
            "description": "The logo url or base64 encoded data of a collection",
            "example": "https://static.nftgo.io/asset/1651210195557.png"
          },
          "contracts": {
            "title": "Contracts",
            "type": "array",
            "items": {
              "maxLength": 42,
              "minLength": 42,
              "pattern": "^0x[a-fA-F0-9]{40}$",
              "type": "string"
            },
            "description": "List of contract addresses which belong to a collection",
            "example": [
              "0xbc4ca0eda7647a8ab7c2061c2e118a18a936f13d"
            ]
          },
          "contract_type": {
            "title": "Contract Type",
            "type": "string",
            "description": "Type of contract: ERC721 or ERC1155",
            "example": "ERC721"
          },
          "slug": {
            "title": "Slug",
            "type": "string",
            "description": "A slug is generated from a collection name by using applying lower-case to all letters in the collection name and replacing all spaces with a '-'",
            "example": "bored-ape-yacht-club"
          },
          "floor_price": {
            "title": "Floor Price",
            "allOf": [
              {
                "$ref": "#/components/schemas/PriceV3"
              }
            ],
            "description": "Floor price of collection"
          }
        }
      },
      "CreatedListing": {
        "title": "CreatedListing",
        "type": "object",
        "properties": {
          "nft": {
            "$ref": "#/components/schemas/ListingNFTInfo"
          },
          "listing_data": {
            "title": "Listing Data",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/AddressListing"
            }
          },
          "collection": {
            "$ref": "#/components/schemas/CollectionSimpleInfo"
          }
        }
      },
      "CryptoPriceV2": {
        "title": "CryptoPriceV2",
        "type": "object",
        "properties": {
          "payment_token": {
            "title": "Payment Token",
            "allOf": [
              {
                "$ref": "#/components/schemas/PaymentToken"
              }
            ],
            "description": "The token used for payment",
            "default": {
              "address": "0x0000000000000000000000000000000000000000",
              "symbol": "ETH",
              "decimals": 18
            }
          },
          "raw_value": {
            "title": "Raw Value",
            "type": "integer",
            "description": "Number of token paid",
            "example": 10000000000000000
          },
          "value": {
            "title": "Value",
            "type": "number",
            "description": "Total value in the measure of {payment_token.symbol}",
            "example": 86.8042
          },
          "usd": {
            "title": "Usd",
            "type": "number",
            "description": "The equivalent payment in dollars, calculated based on the exchange rate at the time of the transaction"
          }
        }
      },
      "ExtraRarityInfo": {
        "title": "ExtraRarityInfo",
        "type": "object",
        "properties": {
          "open_rarity": {
            "title": "Open Rarity",
            "allOf": [
              {
                "$ref": "#/components/schemas/RarityInfoBase"
              }
            ],
            "description": "Open Rarity rank",
            "example": {
              "rank": 9152
            }
          },
          "rarity_sniper": {
            "title": "Rarity Sniper",
            "allOf": [
              {
                "$ref": "#/components/schemas/RarityInfoBase"
              }
            ],
            "description": "Rarity Sniper rank",
            "example": {
              "rank": 9152
            }
          }
        }
      },
      "FeeBreakDownKind": {
        "title": "FeeBreakDownKind",
        "enum": [
          "royalty",
          "marketplace"
        ],
        "type": "string",
        "description": "An enumeration."
      },
      "FeeBreakdownItem": {
        "title": "FeeBreakdownItem",
        "required": [
          "bps",
          "kind",
          "recipient"
        ],
        "type": "object",
        "properties": {
          "bps": {
            "title": "Bps",
            "type": "number",
            "description": "basis point"
          },
          "kind": {
            "allOf": [
              {
                "$ref": "#/components/schemas/FeeBreakDownKind"
              }
            ],
            "description": "fee kind"
          },
          "recipient": {
            "title": "Recipient",
            "type": "string",
            "description": "recipient"
          }
        }
      },
      "HTTPValidationError": {
        "title": "HTTPValidationError",
        "type": "object",
        "properties": {
          "detail": {
            "title": "Detail",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ValidationError"
            }
          }
        }
      },
      "ListingNFTInfo": {
        "title": "ListingNFTInfo",
        "required": [
          "contract_address",
          "blockchain"
        ],
        "type": "object",
        "properties": {
          "contract_address": {
            "title": "Contract Address",
            "anyOf": [
              {
                "maxLength": 42,
                "minLength": 42,
                "pattern": "^0x[a-fA-F0-9]{40}$",
                "type": "string"
              },
              {
                "type": "string"
              }
            ],
            "description": "Contract address of the collection this NFT belongs to"
          },
          "token_id": {
            "title": "Token Id",
            "type": "string",
            "description": "The token ID of this NFT"
          },
          "name": {
            "title": "Name",
            "type": "string",
            "description": "The name of this NFT"
          },
          "blockchain": {
            "title": "Blockchain",
            "type": "string",
            "description": "The blockchain where this NFT resides"
          },
          "image": {
            "title": "Image",
            "type": "string",
            "description": "The url or base64 data of image or video associated with the NFT",
            "example": "https://static.nftgo.io/asset/metadata/image/5e236a5b9e95e4b88df604399ea7ca56229fdf86b9b8da78a6fd587a155b8b98"
          },
          "contract_type": {
            "title": "Contract Type",
            "type": "string",
            "description": "Type of contract: ERC721 or ERC1155",
            "example": "ERC721"
          },
          "suspicious": {
            "title": "Suspicious",
            "type": "boolean",
            "description": "Is it not tradeable on OpenSea?",
            "default": false
          },
          "rarity": {
            "title": "Rarity",
            "allOf": [
              {
                "$ref": "#/components/schemas/Rarity"
              }
            ],
            "description": "NFT Rarity score. Calculation methods can be seen as below: https://mirror.xyz/nftgoio.eth/kHWaMtNY6ZOvDzr7PR99D03--VNu6-ZOjYuf6E9-QH0",
            "example": {
              "score": 34.72,
              "rank": 9152,
              "total": 10000
            }
          },
          "extra_rarity_info": {
            "title": "Extra Rarity Info",
            "allOf": [
              {
                "$ref": "#/components/schemas/ExtraRarityInfo"
              }
            ],
            "description": "NFT Rarity info from open rarity and rarity sniper",
            "example": {
              "open_rarity": {
                "rank": 9152
              },
              "rarity_sniper": {
                "rank": 9152
              }
            }
          }
        }
      },
      "PaymentToken": {
        "title": "PaymentToken",
        "type": "object",
        "properties": {
          "address": {
            "title": "Address",
            "maxLength": 42,
            "minLength": 42,
            "pattern": "^0x[a-fA-F0-9]{40}$",
            "type": "string",
            "description": "The address of the token used for payment",
            "default": "0x0000000000000000000000000000000000000000"
          },
          "symbol": {
            "title": "Symbol",
            "type": "string",
            "description": "The symbol of the token used for payment",
            "default": "ETH"
          },
          "decimals": {
            "title": "Decimals",
            "type": "integer",
            "description": "The decimals of the token used for payment",
            "default": 18
          }
        }
      },
      "PriceV3": {
        "title": "PriceV3",
        "type": "object",
        "properties": {
          "value": {
            "title": "Value",
            "type": "number",
            "description": "Total value in the measure of {payment_token.symbol}",
            "example": 86.8042
          },
          "raw_value": {
            "title": "Raw Value",
            "type": "integer",
            "description": "Total raw value in the measure of {payment_token.symbol}",
            "example": 86804200000000000000
          },
          "usd": {
            "title": "Usd",
            "type": "number",
            "description": "Total US dollar value of the cryptocurrency. It equals to quantity * crypto_unit * usd_price_per_crypto_unit",
            "example": 99614.18167703273
          },
          "payment_token": {
            "title": "Payment Token",
            "allOf": [
              {
                "$ref": "#/components/schemas/PaymentToken"
              }
            ],
            "description": "The token used for payment",
            "default": {
              "address": "0x0000000000000000000000000000000000000000",
              "symbol": "ETH",
              "decimals": 18
            }
          }
        },
        "description": "Price in cryptocurrency or US dollars or eth"
      },
      "Rarity": {
        "title": "Rarity",
        "type": "object",
        "properties": {
          "score": {
            "title": "Score",
            "type": "number",
            "description": "Rarity score. See methodology: https://mirror.xyz/nftgoio.eth/kHWaMtNY6ZOvDzr7PR99D03--VNu6-ZOjYuf6E9-QH0",
            "example": 34.72
          },
          "rank": {
            "title": "Rank",
            "type": "integer",
            "description": "The rarity rank",
            "example": 9152
          },
          "total": {
            "title": "Total",
            "type": "integer",
            "description": "Total number of NFTs belonging to the colleciton involved in calculation of rarity",
            "example": 10000
          }
        },
        "description": "https://mirror.xyz/nftgoio.eth/kHWaMtNY6ZOvDzr7PR99D03--VNu6-ZOjYuf6E9-QH0"
      },
      "RarityInfoBase": {
        "title": "RarityInfoBase",
        "required": [
          "rank"
        ],
        "type": "object",
        "properties": {
          "rank": {
            "title": "Rank",
            "type": "integer",
            "description": "The rarity rank",
            "example": 9152
          }
        }
      },
      "ReceivedAddressListings": {
        "title": "ReceivedAddressListings",
        "type": "object",
        "properties": {
          "listings": {
            "title": "Listings",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/CreatedListing"
            },
            "description": "List of NFT listings on the address"
          }
        }
      },
      "ValidationError": {
        "title": "ValidationError",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "type": "object",
        "properties": {
          "loc": {
            "title": "Location",
            "type": "array",
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            }
          },
          "msg": {
            "title": "Message",
            "type": "string"
          },
          "type": {
            "title": "Error Type",
            "type": "string"
          }
        }
      }
    },
    "securitySchemes": {
      "ApiKeyAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-KEY"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true,
    "samples-enabled": true
  },
  "security": [
    {
      "ApiKeyAuth": []
    }
  ]
}
````